Subject: bug#49424: 27.2; Misdocumented default initialisation file

From: Robert Pluim <[email-masked]>
Date: Thu, 08 Jul 2021 10:40:39 +0200

>>>>> On Thu, 08 Jul 2021 09:23:27 +0300, Eli Zaretskii <[email-masked]> said:

    >> Date: Wed, 7 Jul 2021 22:51:43 +0100 (BST)
    >> From: Peter Oliver <[email-masked]>
    >> cc: [email-masked], [email-masked], [email-masked]
    >> 
    >> >  The info page “49.4.4 How Emacs Finds Your Init File” says:
    >> >
    >> >  > For brevity the rest of the Emacs documentation generally uses just
    >> >  > the current default location ‘~/.emacs.d/init.el’ for the init file.
    >> >
    >> >  However, this seems to be inaccurate: if I start Emacs as a new user
    >> >  and make a customisation, that customisation is written to ~/.emacs.
    >> >
    >> > How can a simplifying convention in a manual be "inaccurate"?  And
    >> > what does that convention have to do with the order and logic of how
    >> > Emacs actually looks for the init file?
    >> 
    >> I understand the sentence to be making two assertions:
    >> 
    >> 1. Throughout the documentation, “~/.emacs.d/init.el” will be used
    >> as a shorthand for “the initialisation file”, whatever filename that
    >> happens to have.
    >> 2. The default location of the initialisation file is “~/.emacs.d/init.el”.
    >> 
    >> Neither is true.

    Eli> The 2nd one is not what that sentence says.

    Eli> If the 1st one is incorrect, it should be fixed to reflect the truth.
    Eli> But that has nothing to do with the rest of this discussion, which is
    Eli> about the actual method and order Emacs uses to find the init file(s).

FWIW I agree with Peter's interpretation here. We could avoid the
whole argument by deleting the whole sentence, since its information
content is low anyway.

Robert
--